Skip to main content
GET
/
api
/
knowledge-bases
/
{knowledgeBaseId}
Get knowledge base
curl --request GET \
  --url https://api.upon-ai.com/api/knowledge-bases/{knowledgeBaseId} \
  --header 'Authorization: Bearer <token>'
{
  "knowledgeBaseId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "sources": [
    {
      "source_id": "<string>",
      "source_type": "<string>",
      "filename": "<string>"
    }
  ],
  "workspaceId": 123
}

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

knowledgeBaseId
string
required

Knowledge base identifier.

Query Parameters

workspaceId
integer
required

Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.

Response

200 - application/json

Knowledge base details.

knowledgeBaseId
string
required
name
string
required
status
enum<string>
required
Available options:
processing,
ready,
failed
description
string | null
sources
object[]
workspaceId
integer | null